//---------------------------------------------------------------------------

#ifndef serial_sendH
#define serial_sendH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#include <condefs.h>

#include "conio.h"
#include "Tserial_event.h"
#include <ComCtrls.hpp>

//---------------------------------------------------------------------------
class TSendBox : public TForm
{
__published:	// IDE-managed Components
	TComboBox *Interface;
	TLabel *Label1;
	TRadioGroup *Bit;
	TRadioGroup *Baudrate;
	TRadioGroup *Parity;
	TGroupBox *Flow;
	TCheckBox *Flow_XON;
	TCheckBox *Flow_RTS;
	TCheckBox *Flow_DTR;
	TCheckBox *Flow_CTS;
	TCheckBox *Flow_DSR;
	TButton *Send_Data;
	TButton *Abort;
	TButton *Exit;
	TStatusBar *StatusBar1;
	void __fastcall Send_DataClick(TObject *Sender);
	void __fastcall AbortClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TSendBox(TComponent* Owner);

	TForm *MDIChild;
	bool abort;
	bool is_sending;
	void put_serial (char *data);
};
//---------------------------------------------------------------------------
extern PACKAGE TSendBox *SendBox;
//---------------------------------------------------------------------------

void send_data(void * data);

#endif
